org.apache.ignite.internal.processors.continuous

## Interface GridContinuousHandler

All Superinterfaces:
  Cloneable, Externalizable, Serializable

All Known Implementing Classes:
  GridMessageListenHandler

    public interface GridContinuousHandler
    extends Externalizable, Cloneable

Continuous routine handler.

### Nested Class Summary

Nested Classes
`static class` `GridContinuousHandler.RegisterStatus` Listener registration status.

### Method Summary

Methods
`String` `cacheName()`
`GridContinuousHandler` `clone()` Clones this handler.
`boolean` `isForEvents()`
`boolean` `isForMessaging()`
`boolean` `isForQuery()`
`void` `notifyCallback(UUID nodeId, UUID routineId, Collection<?> objs, GridKernalContext ctx)` Notifies local callback.
`void` `onListenerRegistered(UUID routineId, GridKernalContext ctx)` Callback called after listener is registered and acknowledgement is sent.
`Object` `orderedTopic()`
`void` `p2pMarshal(GridKernalContext ctx)` Deploys and marshals inner objects (called only if peer deployment is enabled).
`void` `p2pUnmarshal(UUID nodeId, GridKernalContext ctx)` Unmarshals inner objects (called only if peer deployment is enabled).
`GridContinuousHandler.RegisterStatus` `register(UUID nodeId, UUID routineId, GridKernalContext ctx)` Registers listener.
`void` `unregister(UUID routineId, GridKernalContext ctx)` Unregisters listener.

### Methods inherited from interface java.io.Externalizable

`readExternal, writeExternal`

### Method Detail

#### register

    GridContinuousHandler.RegisterStatus register(UUID nodeId,
                                                UUID routineId,
                                                GridKernalContext ctx)
                                                  throws IgniteCheckedException

Registers listener.

Parameters:
  `nodeId` - ID of the node that started routine.
  `routineId` - Routine ID.
  `ctx` - Kernal context.
Returns:
  Whether listener was actually registered.
Throws:
  `IgniteCheckedException` - In case of error.

#### onListenerRegistered

    void onListenerRegistered(UUID routineId,
                            GridKernalContext ctx)

Callback called after listener is registered and acknowledgement is sent.

Parameters:
  `routineId` - Routine ID.
  `ctx` - Kernal context.

#### unregister

    void unregister(UUID routineId,
                  GridKernalContext ctx)

Unregisters listener.

Parameters:
  `routineId` - Routine ID.
  `ctx` - Kernal context.

#### notifyCallback

    void notifyCallback(UUID nodeId,
                      UUID routineId,
                      Collection<?> objs,
                      GridKernalContext ctx)

Notifies local callback.

Parameters:
  `nodeId` - ID of the node where notification came from.
  `routineId` - Routine ID.
  `objs` - Notification objects.
  `ctx` - Kernal context.

#### p2pMarshal

    void p2pMarshal(GridKernalContext ctx)
                    throws IgniteCheckedException

Deploys and marshals inner objects (called only if peer deployment is enabled).

Parameters:
  `ctx` - Kernal context.
Throws:
  `IgniteCheckedException` - In case of error.

#### p2pUnmarshal

    void p2pUnmarshal(UUID nodeId,
                    GridKernalContext ctx)
                      throws IgniteCheckedException

Unmarshals inner objects (called only if peer deployment is enabled).

Parameters:
  `nodeId` - Sender node ID.
  `ctx` - Kernal context.
Throws:
  `IgniteCheckedException` - In case of error.

#### orderedTopic

    @Nullable
    Object orderedTopic()

Returns:
  Topic for ordered notifications. If `null`, notifications will be sent in non-ordered messages.

#### clone

    GridContinuousHandler clone()

Clones this handler.

Returns:
  Clone of this handler.

#### isForEvents

    boolean isForEvents()

Returns:
  `True` if for events.

#### isForMessaging

    boolean isForMessaging()

Returns:
  `True` if for messaging.

#### isForQuery

    boolean isForQuery()

Returns:
  `True` if for continuous queries.

#### cacheName

    String cacheName()

Returns:
  Cache name if this is a continuous query handler.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015